--------------------------------------------------------------------------------
-- Company: 
-- Engineer:		Jrn
--
-- Create Date:    20:16:00 08/26/05
-- Design Name:	 Counter    
-- Module Name:    counter1 - Behavioral
-- Project Name:   Counter
-- Target Device:  
-- Tool versions:  
-- Description:
--
-- Dependencies:
-- 
-- Revision:
-- Revision 0.01 - File Created
-- Additional Comments:
-- 
--------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

---- Uncomment the following library declaration if instantiating
---- any Xilinx primitives in this code.
--library UNISIM;
--use UNISIM.VComponents.all;

entity zaehler is
    Port ( CLOCK : in std_logic;
           DOUT : out std_logic_vector(7 downto 0)
			  );
end zaehler;

architecture Verhalten of zaehler is
signal count_int : std_logic_vector(19 downto 0) := "00000000000000000000";
begin

	process (CLOCK) 
	begin
   	if CLOCK='1' and CLOCK'event then
      	count_int <= count_int + 1;
	   end if;
	end process;
	
	DOUT(5 downto 3)<=count_int(19 downto 17);
	
end Verhalten;